<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:ignore="MissingDefaultResource">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_28"
        android:layout_marginEnd="@dimen/dp_28"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <ImageView
            android:id="@+id/imageView"
            android:layout_width="@dimen/dp_183"
            android:layout_height="@dimen/dp_168"
            android:layout_marginTop="@dimen/dp_30"
            android:scaleType="centerInside"
            android:src="@drawable/icon_testing_phone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageView" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设备检测"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/recyclerView" />

        <TextView
            android:id="@+id/tv_hint"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_76"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_74"
            android:gravity="center"
            android:lineSpacingExtra="@dimen/dp_5"
            android:text="为确保您能正常上课，现在进行声音测试"
            app:layout_goneMarginTop="@dimen/dp_12"
            android:textColor="@color/gray_777"
            android:textSize="@dimen/dp_14"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />

        <Button
            android:id="@+id/btn_cancel"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:layout_marginStart="@dimen/dp_28"
            android:layout_marginTop="@dimen/dp_37"
            android:layout_marginBottom="@dimen/dp_28"
            android:background="@drawable/border_corner_2dc7aa"
            android:text="无声音"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/dp_16"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/btn_confirm"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_hint" />

        <Button
            android:id="@+id/btn_confirm"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:layout_marginStart="@dimen/dp_24"
            android:layout_marginTop="@dimen/dp_37"
            android:layout_marginEnd="@dimen/dp_28"
            android:layout_marginBottom="@dimen/dp_28"
            android:background="@drawable/shape_course_status_ing"
            android:text="有声音"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@+id/btn_cancel"
            app:layout_constraintTop_toBottomOf="@+id/tv_hint" />

        <Button
            android:id="@+id/btn_next"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:layout_marginStart="@dimen/dp_60"
            android:layout_marginTop="@dimen/dp_37"
            android:layout_marginEnd="@dimen/dp_60"
            android:layout_marginBottom="@dimen/dp_28"
            android:background="@drawable/shape_course_status_ing"
            android:text="开始测试"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_hint" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>